%define subrel 1

Name:          kdetoys4
Summary:       K Desktop Environment - Toys and Amusements
Version:       4.2.4
Epoch:         1
URL:           ftp://ftp.kde.org/pub/kde/stable/%version/src/
Release:       %mkrel 0
Source:        ftp://ftp.kde.org/pub/kde/stable/%version/src/kdetoys-%version.tar.bz2
Group:         Graphical desktop/KDE
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:       GPL
BuildRequires: kdelibs4-devel >= %version
BuildRequires: kdebase4-workspace-devel >= %version
BuildRequires: qimageblitz-devel

Obsoletes:     kworldclock < 1:4.0.74-1
Obsoletes:     %{_lib}kworldclock4 < 1:4.0.74-1
Obsoletes:     kde4-kworldclock < 1:4.0.68

%description
Toys for the K Desktop Environment.

Software included in this package are:
	- amor: Amusing Misuse Of Resources put's comic figures above your windows
	- kteatime: system tray applet that makes sure your tea doesn't get too strong
	- kweather: plasma applet that will display the current weather outside
    - ktux: Tux-in-a-Spaceship screen saver

#-------------------------------------------------------------------

%package -n ktux
Group:      Graphical desktop/KDE
Summary:    Tux-in-a-Spaceship screen saver
Provides:   ktux4
Conflicts:  kdetoys4 < 3.97.1-0.74.2.4.1
Obsoletes:  kde4-ktux < 1:4.0.68
Provides:   kde4-ktux = %epoch:%version

%description -n ktux
Tux-in-a-Spaceship screen saver

%files -n ktux
%defattr(-,root,root)
%_kde_bindir/ktux
%_kde_appsdir/ktux
%_kde_iconsdir/hicolor/*/apps/ktux.png
%_kde_datadir/kde4/services/ScreenSavers/ktux.desktop

#-----------------------------------------------------------------

%package -n     kweather
Group:          Graphical desktop/KDE
Summary:        Plasma applet that will display the current weather outside 
Provides:       kweather4
Obsoletes:      kde4-kweather < 1:4.0.68
Provides:       kde4-kweather = %epoch:%version

%description -n kweather
Plasma applet that will display the current weather outside

%files -n kweather
%defattr(-,root,root)
%_kde_bindir/kweatherreport
%_kde_bindir/kweatherservice
%_kde_libdir/libkdeinit4_kweatherreport.so
%_kde_appsdir/kweather
%_kde_appsdir/kweatherservice
%_kde_iconsdir/hicolor/*/apps/kweather.png   
%_kde_datadir/kde4/services/kweatherservice.desktop
%_kde_libdir/kde4/kcm_weather.so
%_kde_libdir/kde4/kcm_weatherservice.so
%_kde_docdir/*/*/kweather

#-------------------------------------------------------------------

%package -n amor
Group:      Graphical desktop/KDE
Summary:    Amusing Misuse Of Resources put's comic figures above your windows
Provides:   amor4
Conflicts:  kdetoys4 < 3.97.1-0.74.2.4.1
Obsoletes:  kde4-amor < 1:4.0.68
Provides:   kde4-amor = %epoch:%version

%description -n amor
Amusing Misuse Of Resources put's comic figures above your windows

%files -n amor
%defattr(-,root,root)
%_kde_bindir/amor
%_kde_datadir/applications/kde4/amor.desktop
%_kde_datadir/kde4/services/kcmweather.desktop
%_kde_datadir/kde4/services/kcmweatherservice.desktop
%_kde_appsdir/amor
%_kde_iconsdir/hicolor/*/apps/amor.png
%_kde_docdir/*/*/amor
%_kde_mandir/man6/amor.6.*

#-------------------------------------------------------------------

%package -n kteatime
Group:      Graphical desktop/KDE
Summary:    System tray applet that makes sure your tea doesn't get too strong
Provides:   kteatime4
Conflicts:  kdetoys4 < 3.97.1-0.74.2.4.1
Obsoletes:  kde4-kteatime < 1:4.0.68
Provides:   kde4-kteatime = %epoch:%version


%description -n kteatime
System tray applet that makes sure your tea doesn't get too strong

%files -n kteatime
%defattr(-,root,root)
%_kde_bindir/kteatime
%_kde_appsdir/kteatime
%_kde_datadir/applications/kde4/kteatime.desktop
%_kde_iconsdir/hicolor/*/apps/kteatime.*
%_kde_docdir/*/*/kteatime

#-------------------------------------------------------------------

%package    devel
Summary:    Header files for %name
Group:      Development/KDE and Qt
Provides:   %name-devel =  %epoch:%version-%release

%description  devel
This package includes the header files you will need to compile
applications for %name

%files devel
%defattr(-,root,root,-)
%_kde_datadir/dbus-1/interfaces/*

#-------------------------------------------------------------------

%prep
%setup -q -n kdetoys-%version

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
make -C build DESTDIR=%buildroot install

%clean
rm -fr %buildroot


%changelog
* Fri May 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.4-0.1mdv2009.0
+ Revision: 381155
- Major KDE 4.2.4 update
- Major KDE 4.2.3 update

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.1.4

* Sat Nov 29 2008 Security Team <security@mandriva.com> 1:4.1.3-1.1mdv2009.0
+ Revision: 307844
- + Revision: 303346
  Official KDE 4.1.3 update.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Official KDE 4.1.3 update.

  + root <root>
    - Branching 2009.0 release for updates.

* Sat Sep 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.2-1mdv2009.0
+ Revision: 288847
- KDE 4.1.2 arriving.

* Sun Sep 07 2008 Funda Wang <fundawang@mandriva.org> 1:4.1.1-1mdv2009.0
+ Revision: 282151
- New version 4.1.1

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-1mdv2009.0
+ Revision: 247627
- Update with Release Candidate 1 - 4.1.0

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.98-1mdv2009.0
+ Revision: 233196
- Update with Release Candidate 1 - 4.0.98

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version kde 4.0.85

* Sun Jun 29 2008 Funda Wang <fundawang@mandriva.org> 1:4.0.84-1mdv2009.0
+ Revision: 229950
- New version 4.0.84

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-1mdv2009.0
+ Revision: 226104
- Update with new snapshot tarballs 4.0.83

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-1mdv2009.0
+ Revision: 218303
- Update with new snapshot tarballs 4.0.82

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.81-1mdv2009.0
+ Revision: 214725
- Update with new snapshot tarballs 4.0.81

* Sun May 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.80-1mdv2009.0
+ Revision: 211068
- Remove patch0 (not needed anymore)
- Own %%_kde_appsdir/kteatime %%_kde_appsdir/ktux %%_kde_appsdir/amor %%_kde_appsdir/kweather and %%_kde_appsdir/kweather
- Do not package kworldclock doc (Patch0)
- Fix macros
- Fix File list
- Bye Bye kworldclock ( moved upstream to  unmaintained/4/

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

  + Funda Wang <fundawang@mandriva.org>
    - BR automoc
    - New version 4.0.74

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.73-1mdv2009.0
+ Revision: 204748
- Update to kde 4.0.73

* Tue May 06 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.72-1mdv2009.0
+ Revision: 202550
- Fix BuildRequires
- Update to kde 4.0.72
- New snapshot 4.0.70

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 191017
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-2mdv2008.1
+ Revision: 182266
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177464
- New upstream bugfix release 4.0.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - fix description-line-too-long

* Mon Feb 11 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 165282
- Update to 4.0.1

* Wed Jan 09 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-1mdv2008.1
+ Revision: 147361
- Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix File list
    - New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.745233.1mdv2008.1
+ Revision: 119556
- Fix BuildRequires
- New snapshot
  Big Cleanup to follow kde4 policies
  	* Now we have new packages:
  		- kde4-kweather
  		- kde4-amor
  		- kde4-ktux
  		- kde4-kmoon
  		- kde4-kteatime
  		- kde4-kworldclock
  		- kde4-eyesapplet
  	* libkweather have been removed

  + Thierry Vignaud <tvignaud@mandriva.com>
    - buildrequires X11-devel instead of XFree86-devel

* Wed May 09 2007 Laurent Montel <lmontel@mandriva.org> 1:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25717
- new snapshot
- It compiles with enable final

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.1mdv2008.0
+ Revision: 21362
- SILEN
- new snapshot
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.1mdv2007.1
+ Revision: 141309
- new snapshot
- Fix spec file
- new snapshot
- 3.80.3

* Fri Feb 16 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070215.1mdv2007.1
+ Revision: 121629
- new snapshot
- Fix spec file
- new snapshot
- new snapshot

* Wed Jan 17 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070117.1mdv2007.1
+ Revision: 109804
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.1mdv2007.1
+ Revision: 107038
- update

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 103663
- Fix file list
- Update
- (empty)
- new update
- Byebye menu macro

* Thu Dec 28 2006 Laurent Montel <lmontel@mandriva.com> 1:3.80-2mdv2007.1
+ Revision: 102289
- Import kdetoys4

* Wed Oct 18 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-1mdv2007.0
- First package

